Subject: [bug#42179] [PATCH] gnu: Add racer.

From: Jakub Kądziołka <[email-masked]>
Date: Sun, 12 Jul 2020 16:58:23 +0200

On Fri, Jul 03, 2020 at 09:14:59AM -0700, John Soo wrote:
> 2. Racer requires features that are not in the stable branch of rust.
> Unfortunately this is not any fault of racer. Racer uses crates from
> rustc which uses unstable features.  To get around this, I built
> racer using the undocumented and unsupported RUSTC_BOOTSTRAP environment
> variable. Perhaps the better future solution would be to provide a
> nightly rustc and use that to compile racer.

How about we use the source of rust itself for the rustc-ap packages?
That way, updating rustc won't actually ever break because of RUSTC_BOOTSTRAP,
since the use of the unstable features comes from the same source of
truth that will actually compile them.

Regards,
Jakub Kądziołka